import { useState } from 'react'
import { Image } from '@tarojs/components'
import './index.scss'

export default function FilterForCityArea (props) {

  const { change = () => { }, Cancel = () => { }, defaultValue = '-', List = [] } = props
  const [CurrentId, setCurrentId] = useState(defaultValue)

  const CutArea = (id) => {
    return () => {
      setCurrentId(id)
    }
  }

  const Sure = () => {
    change({ name: 'buildingArea', value: CurrentId })
  }

  return (
    <view className='components FilterForCityArea'>
      {
        List.map((item, index) => (
          <view className='ListItem' key={`ListItem${index}`} onClick={CutArea(item.id)}>
            <view>
              <view>
                <text>{item.name}</text>
                {
                  CurrentId === item.id &&
                  <Image mode='heightFix' src={require('@/assets/findHouse-icon1.png')}></Image>
                }
              </view>
            </view>
          </view>
        ))
      }
      <view className='Btn flex-h'>
        <view className='flex-item'>
          <text onClick={Cancel}>取消</text>
        </view>
        <view className='flex-item'>
          <text onClick={Sure}>保存</text>
        </view>
      </view>
    </view>
  )
}
